\name{ConfigShowTable}
\alias{ConfigShowTable}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
%%  ~~function to do ... ~~
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
}
\usage{
ConfigShowTable(configuration, dataset_type, store_format, line_numbers = NULL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{configuration}{
%%     ~~Describe \code{configuration} here~~
}
  \item{dataset_type}{
%%     ~~Describe \code{dataset_type} here~~
}
  \item{store_format}{
%%     ~~Describe \code{store_format} here~~
}
  \item{line_numbers}{
%%     ~~Describe \code{line_numbers} here~~
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (configuration, dataset_type, store_format, line_numbers = NULL) 
{
    table_name <- paste0(gsub("-", "_", store_format), "_", dataset_type)
    header <- paste("| Matches in", gsub("_", " ", table_name), 
        "|\n")
    cat(paste0(paste(rep("-", nchar(header) - 1), collapse = ""), 
        "\n"))
    cat(header)
    cat(paste0(paste(rep("-", nchar(header) - 1), collapse = ""), 
        "\n"))
    if (dataset_type == "experiments") {
        cat("#exp_name, var_name[, exp_main_path[, exp_file_path[, grid[, nc_var_name[, suffix[, var_min[, var_max]]]]]]]\n")
    }
    else {
        cat("#obs_name, var_name[, obs_main_path[, obs_file_path[, nc_var_name[, suffix[, var_min[, var_max]]]]]]\n")
    }
    if (is.null(line_numbers)) {
        line_numbers <- 1:length(unlist(configuration[[table_name]], 
            recursive = FALSE))
    }
    line_number <- 1
    invisible(lapply(configuration[[table_name]], function(x) {
        lapply(x, function(y) {
            cat(paste(line_numbers[line_number], ": ", paste(unlist(y), 
                collapse = ", "), "\n", sep = ""))
            line_number <<- line_number + 1
        })
    }))
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
